Index: kernel/generic/include/ipc/ipc.h
===================================================================
--- kernel/generic/include/ipc/ipc.h	(revision fa8e7d2eafc95dcfd4435b0ca55cbfb76b7b11b5)
+++ kernel/generic/include/ipc/ipc.h	(revision 80bcaed11c2e767559657092d6c13d1a7fdd449c)
@@ -48,38 +48,47 @@
 
 /* Flags for calls */
-#define IPC_CALL_ANSWERED       (1<<0) /**< This is answer to a call */
-#define IPC_CALL_STATIC_ALLOC   (1<<1) /**< This call will not be freed on error */
-#define IPC_CALL_DISCARD_ANSWER (1<<2) /**< Answer will not be passed to userspace, will be discarded */
-#define IPC_CALL_FORWARDED      (1<<3) /**< Call was forwarded */
-#define IPC_CALL_CONN_ME_TO     (1<<4) /**< Identify connect_me_to answer */
-#define IPC_CALL_NOTIF          (1<<5) /**< Interrupt notification */
+
+/** This is answer to a call */
+#define IPC_CALL_ANSWERED	(1 << 0)
+/** This call will not be freed on error */
+#define IPC_CALL_STATIC_ALLOC	(1 << 1)
+/** Answer will not be passed to userspace, will be discarded */
+#define IPC_CALL_DISCARD_ANSWER	(1 << 2)
+/** Call was forwarded */
+#define IPC_CALL_FORWARDED	(1 << 3)
+/** Identify connect_me_to answer */
+#define IPC_CALL_CONN_ME_TO	(1 << 4)
+/** Interrupt notification */
+#define IPC_CALL_NOTIF		(1 << 5)
 
 /* Flags of callid (the addresses are aligned at least to 4, 
  * that is why we can use bottom 2 bits of the call address
  */
-#define IPC_CALLID_ANSWERED       1 /**< Type of this msg is 'answer' */
-#define IPC_CALLID_NOTIFICATION   2 /**< Type of this msg is 'notification' */
+/** Type of this msg is 'answer' */
+#define IPC_CALLID_ANSWERED	1
+/** Type of this msg is 'notification' */
+#define IPC_CALLID_NOTIFICATION	2
 
 /* Return values from IPC_ASYNC */
-#define IPC_CALLRET_FATAL         -1
-#define IPC_CALLRET_TEMPORARY     -2
+#define IPC_CALLRET_FATAL	-1
+#define IPC_CALLRET_TEMPORARY	-2
 
 
 /* Macros for manipulating calling data */
-#define IPC_SET_RETVAL(data, retval)   ((data).args[0] = (retval))
-#define IPC_SET_METHOD(data, val)   ((data).args[0] = (val))
-#define IPC_SET_ARG1(data, val)   ((data).args[1] = (val))
-#define IPC_SET_ARG2(data, val)   ((data).args[2] = (val))
-#define IPC_SET_ARG3(data, val)   ((data).args[3] = (val))
-
-#define IPC_GET_METHOD(data)           ((data).args[0])
-#define IPC_GET_RETVAL(data)           ((data).args[0])
-
-#define IPC_GET_ARG1(data)              ((data).args[1])
-#define IPC_GET_ARG2(data)              ((data).args[2])
-#define IPC_GET_ARG3(data)              ((data).args[3])
+#define IPC_SET_RETVAL(data, retval)	((data).args[0] = (retval))
+#define IPC_SET_METHOD(data, val)	((data).args[0] = (val))
+#define IPC_SET_ARG1(data, val)		((data).args[1] = (val))
+#define IPC_SET_ARG2(data, val)		((data).args[2] = (val))
+#define IPC_SET_ARG3(data, val)		((data).args[3] = (val))
+
+#define IPC_GET_METHOD(data)		((data).args[0])
+#define IPC_GET_RETVAL(data)		((data).args[0])
+
+#define IPC_GET_ARG1(data)		((data).args[1])
+#define IPC_GET_ARG2(data)		((data).args[2])
+#define IPC_GET_ARG3(data)		((data).args[3])
 
 /* Well known phone descriptors */
-#define PHONE_NS              0
+#define PHONE_NS	0
 
 /* System-specific methods - only through special syscalls
@@ -167,9 +176,14 @@
 
 typedef enum {
-	IPC_PHONE_FREE = 0,     /**< Phone is free and can be allocated */
-	IPC_PHONE_CONNECTING,   /**< Phone is connecting somewhere */
-	IPC_PHONE_CONNECTED,    /**< Phone is connected */
-	IPC_PHONE_HUNGUP,  	/**< Phone is hung up, waiting for answers to come */
-	IPC_PHONE_SLAMMED       /**< Phone was hungup from server */
+	/** Phone is free and can be allocated */
+	IPC_PHONE_FREE = 0,
+	/** Phone is connecting somewhere */
+	IPC_PHONE_CONNECTING,
+	/** Phone is connected */
+	IPC_PHONE_CONNECTED,
+	/** Phone is hung up, waiting for answers to come */
+	IPC_PHONE_HUNGUP,
+	/** Phone was hungup from server */
+	IPC_PHONE_SLAMMED
 } ipc_phone_state_t;
 
@@ -190,13 +204,18 @@
 	waitq_t wq;
 
-	link_t connected_phones;	/**< Phones connected to this answerbox */
-	link_t calls;			/**< Received calls */
+	/** Phones connected to this answerbox */
+	link_t connected_phones;
+	/** Received calls */
+	link_t calls;			
 	link_t dispatched_calls;	/* Should be hash table in the future */
 
-	link_t answers;			/**< Answered calls */
+	/** Answered calls */
+	link_t answers;
 
 	SPINLOCK_DECLARE(irq_lock);
-	link_t irq_notifs;       	/**< Notifications from IRQ handlers */
-	link_t irq_head;		/**< IRQs with notifications to this answerbox. */
+	/** Notifications from IRQ handlers */
+	link_t irq_notifs;
+	/** IRQs with notifications to this answerbox. */
+	link_t irq_head;
 } answerbox_t;
 
@@ -218,7 +237,9 @@
 	answerbox_t *callerbox;
 
-	unative_t priv; /**< Private data to internal IPC */
-
-	ipc_data_t data;  /**< Data passed from/to userspace */
+	/** Private data to internal IPC */
+	unative_t priv;
+
+	/** Data passed from/to userspace */
+	ipc_data_t data;
 } call_t;
 
Index: kernel/generic/include/ipc/irq.h
===================================================================
--- kernel/generic/include/ipc/irq.h	(revision fa8e7d2eafc95dcfd4435b0ca55cbfb76b7b11b5)
+++ kernel/generic/include/ipc/irq.h	(revision 80bcaed11c2e767559657092d6c13d1a7fdd449c)
@@ -44,6 +44,6 @@
 #include <adt/list.h>
 
-extern int ipc_irq_register(answerbox_t *box, inr_t inr, devno_t devno, unative_t method,
-	irq_code_t *ucode);
+extern int ipc_irq_register(answerbox_t *box, inr_t inr, devno_t devno,
+    unative_t method, irq_code_t *ucode);
 extern void ipc_irq_send_notif(irq_t *irq);
 extern void ipc_irq_send_msg(irq_t *irq, unative_t a1, unative_t a2, unative_t a3);
Index: kernel/generic/include/ipc/sysipc.h
===================================================================
--- kernel/generic/include/ipc/sysipc.h	(revision fa8e7d2eafc95dcfd4435b0ca55cbfb76b7b11b5)
+++ kernel/generic/include/ipc/sysipc.h	(revision 80bcaed11c2e767559657092d6c13d1a7fdd449c)
@@ -41,18 +41,20 @@
 
 unative_t sys_ipc_call_sync_fast(unative_t phoneid, unative_t method, 
-				unative_t arg1, ipc_data_t *data);
-unative_t sys_ipc_call_sync(unative_t phoneid, ipc_data_t *question, 
-			   ipc_data_t *reply);
+    unative_t arg1, ipc_data_t *data);
+unative_t sys_ipc_call_sync(unative_t phoneid, ipc_data_t *question,
+    ipc_data_t *reply);
 unative_t sys_ipc_call_async_fast(unative_t phoneid, unative_t method, 
-				 unative_t arg1, unative_t arg2);
+    unative_t arg1, unative_t arg2);
 unative_t sys_ipc_call_async(unative_t phoneid, ipc_data_t *data);
 unative_t sys_ipc_answer_fast(unative_t callid, unative_t retval, 
-			     unative_t arg1, unative_t arg2);
+    unative_t arg1, unative_t arg2);
 unative_t sys_ipc_answer(unative_t callid, ipc_data_t *data);
-unative_t sys_ipc_wait_for_call(ipc_data_t *calldata, uint32_t usec, int nonblocking);
+unative_t sys_ipc_wait_for_call(ipc_data_t *calldata, uint32_t usec,
+    int nonblocking);
 unative_t sys_ipc_forward_fast(unative_t callid, unative_t phoneid,
-			      unative_t method, unative_t arg1);
+    unative_t method, unative_t arg1);
 unative_t sys_ipc_hangup(int phoneid);
-unative_t sys_ipc_register_irq(inr_t inr, devno_t devno, unative_t method, irq_code_t *ucode);
+unative_t sys_ipc_register_irq(inr_t inr, devno_t devno, unative_t method,
+    irq_code_t *ucode);
 unative_t sys_ipc_unregister_irq(inr_t inr, devno_t devno);
 
